package org.jeecg.modules.ctop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.DramaItemInfo;

import java.util.List;
import java.util.Map;

/**
 * 剧本内容信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-06
 */
public interface IDramaItemInfoService extends IService<DramaItemInfo> {

    List<DramaItemInfo> getByDramaId(Long dramaId);

    int getMaxRankByDramaId(Long dramaId);

    Map<String, Object> delete(Long id);
}
